package cn.iocoder.yudao.module.relations.enums;


import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Relations 错误码枚举类
 *
 * relations 系统，使用 1-011-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 员工关系模块 1-011-000-000 ==========
    ErrorCode RELATIONS_CONTRACT_INFO_NOT_EXISTS = new ErrorCode(1_011_000_000, "员工合同信息不存在");
    ErrorCode RELATIONS_ENTRY_NOT_EXISTS = new ErrorCode(1_011_000_001, "入职信息不存在");
    ErrorCode RELATIONS_CONVERSION_NOT_EXISTS = new ErrorCode(1_011_000_002, "转正信息不存在");
    ErrorCode RELATIONS_RENEW_NOT_EXISTS = new ErrorCode(1_011_000_003, "续签信息不存在");
    ErrorCode RELATIONS_TURNOVER_NOT_EXISTS = new ErrorCode(1_011_000_004, "离职信息不存在");

}
